## pandas 2.0.3+dfsg

=== debian/changelog ===
pandas (2.0.3+dfsg-6) experimental; urgency=medium

  * Tests: try again to ignore NaN warnings on mips*.
  * Build on ports without sqlalchemy or working matplotlib.
  * Reproducibility: strip object addresses,
    disable some timestamps and random IDs.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 27 Aug 2023 11:17:44 +0100

pandas (2.0.3+dfsg-5) experimental; urgency=medium

  * Fix SAS I/O crash on armhf.
  * Clean up after documentation build.
  * Tests: ignore NaN warnings and 1**NaN, NaN**0 NaNs on mips*.
  * Docs: use fixed seeds for reproducibility.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 25 Aug 2023 21:26:09 +0100

pandas (2.0.3+dfsg-4) experimental; urgency=medium

  * Ignore numba errors on most non-x86 systems (workaround
    for #1033907).  This already warns the user.
  * Run but ignore some previously skipped tests.
  * Tests: revert "don't use : in numexpr variable names"
    as that wasn't actually the problem.
  * Tests: ignore another non-warning on armel.
  * Fix spelling.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 20 Aug 2023 09:26:03 +0100

pandas (2.0.3+dfsg-3) experimental; urgency=medium

  * Don't use numexpr for **, as it has different overflow behaviour.
  * Tests: don't use : in numexpr variable names.
  * Fix missing import on arm*.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 17 Aug 2023 19:51:45 +0100

pandas (2.0.3+dfsg-2) experimental; urgency=medium

  * Clean up after tests.
  * Don't build in bare C locale.
  * Docs: make more plots reproducible.
  * Remove the warning that results may be wrong on mips*,
    as this appears to have been fixed.
  * Tests: don't fail on warnings we added.
  * Remove unnecessary HDF/Stata I/O warnings.
  * Depend on system tzdata not PyPI tzdata (see #1043968).
    Use tzdata-legacy where old-style timezone names are used.
  * Tests: re-enable dask tests (see #1043093).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 13 Aug 2023 21:55:15 +0100

pandas (2.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release.  Drop/refresh patches, update dependencies.
  * Upload to experimental, due to potential breakage.
  * Add dask Breaks and disable tests (see #1043093).
  * Tests: re-enable numba tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 06 Aug 2023 11:02:39 +0100
