## pandas 2.1.0+dfsg

=== debian/changelog ===
pandas (2.1.0+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright, patches, dependencies.
  * Tests: try again to ignore 1**NaN, NaN**0 NaNs on mips*,
    ignore warnings on Itanium,
    run with fixed locale set, skip not fail without matplotlib.
  * Docs: fix bug in previous reproducibility patch.
  * d/watch: Use git, as the tarball now excludes docs and test data.
  * Don't crash in setup.py clean.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 03 Sep 2023 22:06:46 +0100
