=== debian/control ===
--- 
+++ 
@@ -12,42 +12,46 @@
                python3-all-dev,
                cython3 (>= 0.29.33~),
 # we don't have this version               python3-blosc (>= 1.21.0~) <!nocheck> <!nodoc>,
-               python3-bottleneck (>= 1.3.2~) <!nocheck> <!nodoc>,
-               python3-bs4 (>= 4.9.3~) <!nocheck> <!nodoc>,
+               python3-bottleneck (>= 1.3.4~) <!nocheck> <!nodoc>,
+               python3-bs4 (>= 4.11.1~) <!nocheck> <!nodoc>,
                python3-dask (>= 2023.2.0~) <!nocheck> <!nodoc>,
                python3-dateutil,
-               python3-fsspec (>= 2021.07.0~) <!nocheck> <!nodoc>,
+               python3-fsspec (>= 2022.05.0~) <!nocheck> <!nodoc>,
                python3-html5lib (>= 1.1~) <!nocheck> <!nodoc>,
-               python3-hypothesis (>= 6.13.0~) <!nocheck> <!nodoc>,
-               python3-jinja2 (>= 3.0~) <!nocheck> <!nodoc>,
-               python3-lxml (>= 4.6.3~) <!nocheck> <!nodoc>,
-               python3-matplotlib (>= 3.3.2~) [!ia64 !powerpc !sparc64 !x32] <!nocheck> <!nodoc>,
+               python3-hypothesis (>= 6.46.1~) <!nocheck> <!nodoc>,
+               python3-jinja2 (>= 3.1.2~) <!nocheck> <!nodoc>,
+               python3-lxml (>= 4.8.0~) <!nocheck> <!nodoc>,
+               python3-matplotlib (>= 3.6.1~) [!ia64 !powerpc !sparc64 !x32] <!nocheck> <!nodoc>,
 # numba has a history of bugs on non-x86, e.g. #1033907
 # architectures here are the ones on which to treat numba-related failures as RC - see also debian/tests/control
-               python3-numba (>= 0.53.1~) [amd64 i386 ppc64el] <!nocheck> <!nodoc>,
+               python3-numba (>= 0.55.2~) [amd64 i386 ppc64el] <!nocheck> <!nodoc>,
                python3-numexpr (>= 2.8.0~) <!nocheck> <!nodoc>,
                python3-numpy (>= 1:1.23.2~),
                python3-odf (>= 1.4.1~) <!nocheck> <!nodoc>,
-               python3-openpyxl (>= 3.0.7~) <!nocheck> <!nodoc>,
-# doesn't seem to work in this test environment               python3-psycopg2 (>= 2.8.6~) <!nocheck> <!nodoc>,
+# upstream want 3.0.10 but we don't have that
+               python3-openpyxl (>= 3.0.9~) <!nocheck> <!nodoc>,
+# doesn't seem to work in this test environment               python3-psycopg2 (>= 2.9.3~) <!nocheck> <!nodoc>,
                python3-py <!nocheck> <!nodoc>,
 # doesn't seem to work in this test environment               python3-pymysql (>= 1.0.2~) <!nocheck> <!nodoc>,
+               python3-pyreadstat (>= 1.1.5~) <!nocheck> <!nodoc>,
                python3-pytest (>= 7.3.2~) <!nocheck> <!nodoc>,
                python3-pytest-asyncio (>= 0.17~) <!nocheck> <!nodoc>,
                python3-pytest-forked <!nocheck> <!nodoc>,
                python3-pytest-xdist (>= 2.2.0~) <!nocheck> <!nodoc>,
-               python3-scipy,
+# we don't have python3-pyxlsb
+               python3-scipy (>= 1.8.1~),
                python3-setuptools (>= 51~),
 # we don't have this version               python3-snappy (>= 0.6.0~) <!nocheck> <!nodoc>,
-               python3-sqlalchemy (>= 1.4.16~) [!ia64 !hppa !sh4 !x32] <!nocheck> <!nodoc>,
-               python3-tables (>= 3.6.1~) <!nocheck> <!nodoc>,
+               python3-sqlalchemy (>= 1.4.36~) [!ia64 !hppa !sh4 !x32] <!nocheck> <!nodoc>,
+               python3-tables (>= 3.7.0~) <!nocheck> <!nodoc>,
+# upstream want 0.8.10 but we don't have that
                python3-tabulate (>= 0.8.9~) <!nocheck> <!nodoc>,
                python3-tk <!nocheck> <!nodoc>,
                python3-tz (>= 2022.1~) <!nocheck> <!nodoc>,
 # we don't have this version               python3-xlrd (>= 2.0.1~) <!nocheck> <!nodoc>,
-               python3-xlsxwriter (>= 1.4.3~) <!nocheck> <!nodoc>,
+# we don't have this version               python3-xlsxwriter (>= 3.0.3~) <!nocheck> <!nodoc>,
                python3-versioneer,
-               python3-zstandard <!nocheck> <!nodoc>,
+               python3-zstandard (>= 0.17.0~) <!nocheck> <!nodoc>,
                sphinx-common,
 # for tests/examples that use old-style timezone names
                tzdata-legacy <!nocheck> <!nodoc>,
@@ -56,13 +60,14 @@
                xsel <!nocheck>
 Build-Depends-Indep: python3-sphinx <!nodoc>,
                      python3-sphinx-copybutton <!nodoc>,
-                     python3-sphinx-panels <!nodoc>,
+                     python3-sphinx-design <!nodoc>,
                      python3-pydata-sphinx-theme <!nodoc>,
                      python3-ipykernel <!nodoc>,
                      python3-notebook (>= 6.0.3~) <!nodoc>,
                      python3-nbconvert (>= 6.4.5~) <!nodoc>,
                      python3-nbsphinx <!nodoc>,
                      python3-numpydoc <!nodoc>,
+                     python3-pygments <!nodoc>,
                      ipython3 (>= 7.11.1~) <!nodoc>,
                      jdupes <!nodoc>,
 # for style.ipynb
@@ -81,7 +86,7 @@
                      python3-seaborn <!nodoc>,
                      python3-sqlalchemy <!nodoc>,
                      python3-statsmodels <!nodoc>,
-                     python3-xarray (>= 0.19.0~) <!nodoc>,
+                     python3-xarray (>= 2022.03.0~) <!nodoc>,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
