=== debian/tests/control ===
--- 
+++ 
@@ -16,41 +16,42 @@
          locales-all,
          python3-all,
 # we don't have this version         python3-blosc (>= 1.21.0~),
-         python3-bottleneck (>= 1.3.2~),
-         python3-bs4 (>= 4.9.3~),
+         python3-bottleneck (>= 1.3.4~),
+         python3-bs4 (>= 4.11.1~),
          python3-dask (>= 2023.2.0~),
          python3-dateutil,
-         python3-fsspec (>= 2021.07.0~),
+         python3-fsspec (>= 2022.05.0~),
          python3-html5lib (>= 1.1~),
-         python3-hypothesis (>= 6.13.0~),
-         python3-jinja2 (>= 3.0~),
-         python3-lxml (>= 4.6.3~),
-         python3-matplotlib (>= 3.3.2~) [!ia64 !sh4 !x32],
+         python3-hypothesis (>= 6.46.1~),
+         python3-jinja2 (>= 3.1.2~),
+         python3-lxml (>= 4.8.0~),
+         python3-matplotlib (>= 3.6.1~) [!ia64 !sh4 !x32],
 # architectures here are the ones on which to treat numba-related failures as RC - see also debian/control
-         python3-numba (>= 0.53.1~) [amd64 i386 ppc64el],
+         python3-numba (>= 0.55.2~) [amd64 i386 ppc64el],
          python3-numexpr (>= 2.8.0~),
          python3-numpy (>= 1:1.23.2~),
          python3-odf (>= 1.4.1~),
-         python3-openpyxl (>= 3.0.7~),
-# doesn't seem to work in this test environment         python3-psycopg2 (>= 2.8.6~),
+         python3-openpyxl (>= 3.0.9~),
+# doesn't seem to work in this test environment         python3-psycopg2 (>= 2.9.3~),
          python3-py,
 # doesn't seem to work in this test environment         python3-pymysql (>= 1.0.2~),
+         python3-pyreadstat (>= 1.1.5~),
          python3-pytest (>= 7.3~),
          python3-pytest-asyncio (>= 0.17~),
          python3-pytest-forked,
          python3-pytest-xdist (>= 2.2.0~),
-         python3-scipy,
+         python3-scipy (>= 1.8.1~),
          python3-setuptools (>= 51~),
 # we don't have this version         python3-snappy (>= 0.6.0~),
-         python3-sqlalchemy (>= 1.4.16~),
-         python3-tables (>= 3.6.1~),
+         python3-sqlalchemy (>= 1.4.36~),
+         python3-tables (>= 3.7.0~),
          python3-tabulate (>= 0.8.9~),
          python3-tk,
          python3-tz (>= 2022.1~),
-         python3-xarray (>= 0.19.0~),
+         python3-xarray (>= 2022.03.0~),
 # we don't have this version         python3-xlrd (>= 2.0.1~),
-         python3-xlsxwriter (>= 1.4.3~),
-         python3-zstandard,
+         python3-xlsxwriter (>= 3.0.3~),
+         python3-zstandard (>= 0.17.0~),
          tzdata-legacy,
          xauth,
          xvfb,
@@ -67,5 +68,3 @@
          ca-certificates,
          locales-all,
          python3-all,
-# we don't have this version         python3-blosc (>= 1.21.0~),
-         python3-bottleneck (>= 1.3.2~),
