## pandas 2.1.4%2Bdfsg

=== debian/tests/control ===
--- 
+++ 
@@ -27,11 +27,11 @@
          python3-lxml (>= 4.8.0~),
          python3-matplotlib (>= 3.6.1~) [!ia64 !sh4 !x32],
 # architectures here are the ones on which to treat numba-related failures as RC - see also debian/control
-         python3-numba (>= 0.55.2~) [amd64 i386 ppc64el],
+# temporarily disabled as numba is not in testing #1033907         python3-numba (>= 0.55.2~) [amd64 i386 ppc64el],
          python3-numexpr (>= 2.8.0~),
          python3-numpy (>= 1:1.23.2~),
          python3-odf (>= 1.4.1~),
-         python3-openpyxl (>= 3.0.9~),
+         python3-openpyxl (>= 3.0.10~),
 # doesn't seem to work in this test environment         python3-psycopg2 (>= 2.9.3~),
          python3-py,
 # doesn't seem to work in this test environment         python3-pymysql (>= 1.0.2~),
@@ -39,18 +39,20 @@
          python3-pytest (>= 7.3~),
          python3-pytest-asyncio (>= 0.17~),
          python3-pytest-forked,
+         python3-pytest-localserver,
          python3-pytest-xdist (>= 2.2.0~),
          python3-scipy (>= 1.8.1~),
          python3-setuptools (>= 51~),
 # we don't have this version         python3-snappy (>= 0.6.0~),
          python3-sqlalchemy (>= 1.4.36~),
-         python3-tables (>= 3.7.0~),
-         python3-tabulate (>= 0.8.9~),
+# python3-tables is now little-endian only, and also unavailable on some ports
+         python3-tables (>= 3.7.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha],
+# we don't have this version         python3-tabulate (>= 0.8.10~),
          python3-tk,
          python3-tz (>= 2022.1~),
          python3-xarray (>= 2022.03.0~),
 # we don't have this version         python3-xlrd (>= 2.0.1~),
-         python3-xlsxwriter (>= 3.0.3~),
+# we don't have this version         python3-xlsxwriter (>= 3.0.3~),
          python3-zstandard (>= 0.17.0~),
          tzdata-legacy,
          xauth,
@@ -59,12 +61,3 @@
 Restrictions: allow-stderr, needs-internet
 
 # this test does not actually fail on failure - it exists to produce a log for monitoring known issues
-# (we can't use plain xfails for this, because some of these crash not just fail)
-Tests: ignoredtests
-# identical dependencies to above except that:
-# numba is required on all architectures
-# psycopg2/pymysql are included
-Depends: python3-pandas,
-         ca-certificates,
-         locales-all,
-         python3-all,
