## pandas 2.1.4+dfsg

=== debian/changelog ===
pandas (2.1.4+dfsg-8) unstable; urgency=medium

  * Re-enable the documentation.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Apr 2024 13:50:13 +0100

pandas (2.1.4+dfsg-7) unstable; urgency=medium

  * Tests: don't require 32-bit to imply time32. (Closes: #1068104)
  * Temporarily disable the documentation (workaround for #1068349).
  * Tests: temporarily ignore dask tests (workaround for #1068422).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 05 Apr 2024 22:44:46 +0100

pandas (2.1.4+dfsg-6) unstable; urgency=medium

  * Tests: try again to stop testing __pycache__. (Closes: #1063959)
  * Tests: avoid FutureWarning from newer xarray. (Closes: #1066801)
  * Drop pytables test-depends (skipping tests) on architectures
    where it is not available. (Closes: #1064384)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 16 Mar 2024 17:11:33 +0000

pandas (2.1.4+dfsg-5) unstable; urgency=medium

  * Tests: stop trying to test __pycache__. (Closes: #1063959)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 18 Feb 2024 20:31:18 +0000

pandas (2.1.4+dfsg-4) unstable; urgency=medium

  * Tests: shorten ignoredtests to avoid timeout.
  * Temporarily skip numba tests (workaround for #1033907).
  * Update transition Breaks.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 09 Feb 2024 20:48:14 +0000

pandas (2.1.4+dfsg-3) unstable; urgency=medium

  * Add more transition Breaks (see #1043240).
  * Upload to unstable. (Closes: #1056828)
  * Tests: don't fail when (random) sum test input sums to near-0,
    use our paths, depend on pytest-localserver, skip broken test.
  * Docs: re-enable style.ipynb.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 01 Feb 2024 07:52:49 +0000

pandas (2.1.4+dfsg-2) experimental; urgency=medium

  * Fix autopkgtest syntax error.
  * Add more transition Breaks.
  * Tests: try again to ignore 1**NaN, NaN**0 NaNs on mips*.
  * Tests: be compatible with current blosc2. (Closes: #1061043)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Jan 2024 18:44:54 +0000

pandas (2.1.4+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list and patches.
  * Add transition Breaks.
  * Temporarily disable style.ipynb (workaround for #1057309).
  * Tests: ignore some DeprecationWarnings and pytables exceptions
    to allow building in Python 3.12 (see #1055801).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 08 Dec 2023 22:06:00 +0000

pandas (2.1.3+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list and patches.
  * Re-enable numexpr for **, as upstream have decided to accept
    its different overflow behaviour.
  * Tests: fix autopkgtest syntax errors.
  * Allow building on ports without pyreadstat or matplotlib.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 12 Nov 2023 21:53:27 +0000

pandas (2.1.1+dfsg-2) experimental; urgency=medium

  * Tests: don't fail when xlsxwriter is not installed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 13 Oct 2023 19:43:13 +0100

pandas (2.1.1+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list and patches.
  * Don't test-depend on tabulate, because our version is too old.
  * Extend find_test_data to cover a new fixture.
  * Tests: try again to ignore 1**NaN, NaN**0 NaNs on mips*.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Oct 2023 07:40:12 +0100
