=== debian/control ===
--- 
+++ 
@@ -21,31 +21,31 @@
                python3-hypothesis (>= 6.46.1~) <!nocheck> <!nodoc>,
                python3-jinja2 (>= 3.1.2~) <!nocheck> <!nodoc>,
                python3-lxml (>= 4.8.0~) <!nocheck> <!nodoc>,
-               python3-matplotlib (>= 3.6.1~) [!ia64 !powerpc !sparc64 !x32] <!nocheck> <!nodoc>,
+               python3-matplotlib (>= 3.6.1~) [!ia64 !loong64 !powerpc !sparc64 !x32] <!nocheck> <!nodoc>,
 # numba has a history of bugs on non-x86, e.g. #1033907
 # architectures here are the ones on which to treat numba-related failures as RC - see also debian/tests/control
-               python3-numba (>= 0.55.2~) [amd64 i386 ppc64el] <!nocheck> <!nodoc>,
+# temporarily disabled as numba is not in testing #1033907               python3-numba (>= 0.55.2~) [amd64 i386 ppc64el] <!nocheck> <!nodoc>,
                python3-numexpr (>= 2.8.0~) <!nocheck> <!nodoc>,
                python3-numpy (>= 1:1.23.2~),
                python3-odf (>= 1.4.1~) <!nocheck> <!nodoc>,
-# upstream want 3.0.10 but we don't have that
-               python3-openpyxl (>= 3.0.9~) <!nocheck> <!nodoc>,
+               python3-openpyxl (>= 3.0.10~) <!nocheck> <!nodoc>,
 # doesn't seem to work in this test environment               python3-psycopg2 (>= 2.9.3~) <!nocheck> <!nodoc>,
                python3-py <!nocheck> <!nodoc>,
 # doesn't seem to work in this test environment               python3-pymysql (>= 1.0.2~) <!nocheck> <!nodoc>,
-               python3-pyreadstat (>= 1.1.5~) <!nocheck> <!nodoc>,
+               python3-pyreadstat (>= 1.1.5~) [!ia64 !loong64 !sparc64 !x32] <!nocheck> <!nodoc>,
                python3-pytest (>= 7.3.2~) <!nocheck> <!nodoc>,
                python3-pytest-asyncio (>= 0.17~) <!nocheck> <!nodoc>,
                python3-pytest-forked <!nocheck> <!nodoc>,
+               python3-pytest-localserver <!nocheck> <!nodoc>,
                python3-pytest-xdist (>= 2.2.0~) <!nocheck> <!nodoc>,
 # we don't have python3-pyxlsb
                python3-scipy (>= 1.8.1~),
                python3-setuptools (>= 51~),
 # we don't have this version               python3-snappy (>= 0.6.0~) <!nocheck> <!nodoc>,
                python3-sqlalchemy (>= 1.4.36~) [!ia64 !hppa !sh4 !x32] <!nocheck> <!nodoc>,
-               python3-tables (>= 3.7.0~) <!nocheck> <!nodoc>,
-# upstream want 0.8.10 but we don't have that
-               python3-tabulate (>= 0.8.9~) <!nocheck> <!nodoc>,
+# python3-tables is now little-endian only, and also unavailable on some ports
+               python3-tables (>= 3.7.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha] <!nocheck> <!nodoc>,
+# we don't have this version               python3-tabulate (>= 0.8.10~) <!nocheck> <!nodoc>,
                python3-tk <!nocheck> <!nodoc>,
                python3-tz (>= 2022.1~) <!nocheck> <!nodoc>,
 # we don't have this version               python3-xlrd (>= 2.0.1~) <!nocheck> <!nodoc>,
@@ -87,7 +87,7 @@
                      python3-sqlalchemy <!nodoc>,
                      python3-statsmodels <!nodoc>,
                      python3-xarray (>= 2022.03.0~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
 Homepage: https://pandas.pydata.org/
@@ -124,25 +124,48 @@
 Suggests: python-pandas-doc,
           python3-statsmodels
 Breaks:
-# 0.23 -> 0.25 API breaks, #931557
-        cnvkit (<< 0.9.6-2~),
-# 0.25 -> 1.0 API breaks, #950430
-        python3-biom-format (<< 2.1.8+dfsg-3.1~),
-        python3-seaborn (<< 0.9.1~),
-# 1.0 -> 1.1 API breaks, #969650
 # 1.1 -> 1.3 API breaks, see #999415
         python3-cfgrib (<= 0.9.9-1),
         python3-joypy (<= 0.2.2-2),
-        python3-cooler (<= 0.8.8-1),
-# 1.3 -> 1.4 API breaks, see #1017809
-        python3-skbio (<= 0.5.6-6),
-        python3-ulmo (<= 0.8.8+dfsg1-1),
 # 1.4 -> 1.5 API breaks, see #1022571
-        python3-emperor (<= 1.0.3+ds-4),
         python3-statsmodels (<< 0.13.5~),
-        q2templates (<= 2022.8.0+ds-1),
-# 1.5 -> 2.0 API breaks
-        python3-dask (<< 2023.2.0~)
+# 1.5 -> 2.1 API breaks, #1043240
+        augur (<= 24.0.0-1),
+        cnvkit (<< 0.9.10~),
+        python3-altair (<< 5.0.1~),
+        python3-anndata (<= 0.8.0-4),
+        python3-biom-format (<< 2.1.15.2-3~),
+        python3-cooler (<< 0.9.3~),
+        python3-dask (<< 2023.12.1~),
+        python3-dials (<< 3.17.0~),
+        python3-dyda (<= 1.41.1-1.1),
+        python3-emperor (<< 1.0.3+ds-9~),
+        python3-esda (<= 2.5.1-1),
+        python3-feather-format (<< 0.3.1+dfsg1-8~),
+        python3-hypothesis (<< 6.83.1~),
+# broken tests but probably not broken actual package        python3-influxdb (<= 5.3.1-5),
+        python3-jsonpickle (<< 3.0.2+dfsg-1~),
+        python3-mirtop (<< 0.4.25-5~),
+        python3-nanoget (<< 1.19.3~),
+        python3-pauvre (<< 0.2.3-3~),
+        python3-pyani (<< 0.2.12-3~),
+        python3-pymatgen (<< 2024.1.27~),
+        python3-pyranges (<= 0.0.111+ds-6),
+        python3-seaborn (<< 0.13.0~),
+        python3-skbio (<< 0.5.9~),
+        python3-sklearn-pandas (<= 2.2.0-1.1),
+        python3-sunpy (<< 5.1.0-1~),
+# broken tests but probably not broken actual package        python3-tqdm (<= 4.64.1-1),
+# python3-ulmo affected test no longer run but not actually fixed
+        python3-ulmo (<= 0.8.8+dfsg1-2),
+        python3-upsetplot (<< 0.8.0-3~),
+        python3-xarray-sentinel (<< 0.9.5+ds-2~),
+        q2-cutadapt (<< 2023.7.0-1~),
+        q2-demux (<= 2023.9.1+dfsg-1),
+        q2-quality-control (<= 2022.11.1-2),
+        q2-taxa (<= 2023.9.0+dfsg-1),
+        q2-types (<= 2023.9.0-1),
+        q2templates (<= 2023.9.0+ds-1)
 Description: data structures for "relational" or "labeled" data
  pandas is a Python package providing fast, flexible, and expressive
  data structures designed to make working with "relational" or
